
From: Brian Gerst <bgerst@didntduck.org>

We don't need to keep the pointer array around after the caches are
initialized.  This doesn't affect the actual strings.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/slab.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN mm/slab.c~mark-cache_names-__initdata mm/slab.c
--- 25/mm/slab.c~mark-cache_names-__initdata	2004-05-27 23:24:01.366123504 -0700
+++ 25-akpm/mm/slab.c	2004-05-27 23:24:01.371122744 -0700
@@ -477,10 +477,12 @@ struct cache_sizes malloc_sizes[] = {
 EXPORT_SYMBOL(malloc_sizes);
 
 /* Must match cache_sizes above. Out of line to keep cache footprint low. */
-static struct cache_names {
+struct cache_names {
 	char *name;
 	char *name_dma;
-} cache_names[] = {
+};
+
+static struct cache_names __initdata cache_names[] = {
 #define CACHE(x) { .name = "size-" #x, .name_dma = "size-" #x "(DMA)" },
 #include <linux/kmalloc_sizes.h>
 	{ 0, }
_
